using System;
using System.Collections.Generic;

namespace com.workman.cm3d2.task
{
	public class SyncTask<T> : Task<T>
	{
		public SyncTask(List<Task<T>> listSyncTask)
		{
			this.listSyncTask = listSyncTask;
		}

		public override void Execute()
		{
			foreach (Task<T> task in this.listSyncTask)
			{
				if (task.action != null && task.param != null)
				{
					task.action(task.param);
				}
			}
		}

		public List<Task<T>> listSyncTask;
	}
}
